WordPress Question and Answer Forum plugin “title” cross-site scripting sérülékenység

CH azonosító

CH-4476

Angol cím

WordPress Question and Answer Forum Plugin "title" Cross-Site Scripting Vulnerability

Felfedezés dátuma

2011.02.28.

Súlyosság

Alacsony

Érintett rendszerek

Question and Answer plugin
WordPress

Érintett verziók

Wordpress Question and Answer Plugin 1.x

Összefoglaló

A WordPress-hez készített Question and Answer Forum plugin egy sérülékenységét jelentették, amelyet kihasználva a támadók cross-site scripting (XSS/CSS) támadást indíthatnak.

Leírás

A wp-content/plugins/question-and-answer-forum/coreform.php-ban lévő “title” változónak átadott bemeneti adatok nem megfelelően vannak megtisztítva, mielőtt visszakerülnének a felhasználóhoz. Ez kihasználható tetszőleges HTML és script kód futtatására a felhasználó böngészőjének munkamenetében, az érintett oldallal kapcsolatosan.

A sérülékenységet az 1.2.5 verzióban jelentették. Más kiadások is érintve lehetnek.

Megoldás

Frissítsen a legújabb verzióra